Package com.ngrok.definitions

# Class EndpointTlsTermination

java.lang.Object
com.ngrok.definitions.EndpointTlsTermination

public class EndpointTlsTermination extends Object
A class encapsulating the `EndpointTlsTermination` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointTlsTermination.Builder`
  Builder class for `EndpointTlsTermination`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `Optional<String>`
  `getMinVersion()`
  The minimum TLS version used for termination and advertised to the client during the TLS handshake.
  `String`
  `getTerminateAt()`
  `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination.
  `int`
  `hashCode()`
  `static EndpointTlsTermination.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointTlsTermination` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointTlsTermination.Builder newBuilder()
    Creates a new builder for the `EndpointTlsTermination` type.
    Returns:
      a new `EndpointTlsTermination.Builder`

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getTerminateAt

    public String getTerminateAt()
    `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination. if `upstream` is chosen, most other modules will be disallowed because they rely on the ngrok edge being able to access the underlying traffic.
    Returns:
      the value of the property as a `String`

  - ### getMinVersion

    public Optional<String> getMinVersion()
    The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if `terminate_at` is set to `upstream`.
    Returns:
      the value of the property as a `String` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`